# $query

Retrieve the window id of a specified query

Syntax

    $query[(<target>[,<irc context id>])]

Description

Returns the window id of the query that has <target> in the list of targets and is bound to the connection specified by <irc context id>
If no window matches the specified target or context, and invalid window id is returned (0).
If no <irc context id> is specified , this function looks for the query in the current connection context (if any).
If no <target> is specified, this function returns the current query window id, if executed in a query , 0 otherwise.

Examples

See also
$window, $channel, $console Window naming conventions

Main index, Function index

KVirc 3.0.0 documentation
Generated by root at Thu Apr 29 12:41:05 2004